Skip to main content
PUT
/
open-api
/
v1.1
/
memberships
/
posts
/
images
/
{id}
Update Image Post
curl --request PUT \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/posts/images/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "post": {
    "title": "<string>",
    "description": "<string>",
    "liveAt": "2023-11-07T05:31:56Z",
    "tags": [
      "<string>"
    ]
  },
  "imageResources": [
    {
      "id": 123,
      "position": 123
    }
  ],
  "access": {
    "type": "MembersOnly",
    "tiers": [
      {
        "id": 123
      }
    ]
  },
  "notifications": {
    "enabled": true
  }
}
'
{
  "parameters": "{ \"post_id\": [ \"is missing\" ] }",
  "body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}
OAuth scope: memberships_writeAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Path Parameters

id
integer
required

Body

application/json
post
object
required
imageResources
object[]
required
Required array length: 1 - 100 elements
access
object
required
notifications
object
required

Response